Skip to main content
Infrastructure/Lifecycle

ListLifecycleEvents

List lifecycle audit events

GET/api/v1/lifecycle/events

Operation ID

ListLifecycleEvents

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • componentUuid
    String

    Filter by component UUID

  • eventType
    String

    Filter by event type

  • startTime
    String

    Filter events after this time

  • endTime
    String

    Filter events before this time

  • limit
    Integer

    Maximum number of events to return

    Example: 0

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • items
    List

    List of lifecycle events

    Example: (nested array)

    • id
      Integer

      Auto-increment event ID

      Example: 42

    • componentUuid
      String

      UUID of the component this event relates to

      Example: a1b2c3d4-e5f6-7890-abcd-ef1234567890

    • eventType
      String

      Type of lifecycle event

      Example: state_change

    • fromState
      String

      Previous state before the event

      Example: Deploying

    • toState
      String

      New state after the event

      Example: Running

    • taskUuid
      String

      UUID of the task that triggered this event

      Example: task-a1b2c3d4

    • operator
      String

      Operator who initiated the action

      Example: admin

    • metadata
      String

      Additional metadata as JSON blob

      Example: value

    • createdAt
      String

      Timestamp when the event occurred

      Example: 2026-01-15T08:00:00Z

    • resourceType
      String

      Resource type this event relates to

      Example: upgrade_plan

    • resourceUuid
      String

      Resource UUID this event relates to

      Example: plan-a1b2c3d4

    • detail
      Object

      Structured event detail

      Example: (nested object)

  • total
    Integer

    Total number of matching events

    Example: 100

  • limit
    Integer

    Limit used in this response

    Example: 20

  • offset
    Integer

    Offset used in this response

    Example: 40

  • Change Time

    AddedResponse fields componentUuid, createdAt, detail...DeletedResponse fields agentId, fromStatus, occurredAt...
    View API
  • Change Time

    AddedRequest parameters resourceType, resourceUuid
    View API